Package org.springframework.aop.config

# Class AopConfigUtils

java.lang.Object
org.springframework.aop.config.AopConfigUtils

public abstract class AopConfigUtils extends Object
Utility class for handling registration of AOP auto-proxy creators.

Only a single auto-proxy creator should be registered yet multiple concrete implementations are available. This class provides a simple escalation protocol, allowing a caller to request a particular auto-proxy creator and know that creator, or a more capable variant thereof, will be registered as a post-processor.

Since:
  2.5
Author:
  Rob Harrop, Juergen Hoeller, Mark Fisher
See Also:
  - `AopNamespaceUtils`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTO_PROXY_CREATOR_BEAN_NAME`
The bean name of the internally managed auto-proxy creator.

## Constructor Summary

Constructors
Constructor
Description
`AopConfigUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`forceAutoProxyCreatorToExposeProxy(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
`static void`
`forceAutoProxyCreatorToUseClassProxying(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
`static org.springframework.beans.factory.config.BeanDefinition`
`registerAspectJAnnotationAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
`static org.springframework.beans.factory.config.BeanDefinition`
`registerAspectJAnnotationAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, Object source)`
`static org.springframework.beans.factory.config.BeanDefinition`
`registerAspectJAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
`static org.springframework.beans.factory.config.BeanDefinition`
`registerAspectJAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, Object source)`
`static org.springframework.beans.factory.config.BeanDefinition`
`registerAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
`static org.springframework.beans.factory.config.BeanDefinition`
`registerAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, Object source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AUTO_PROXY_CREATOR_BEAN_NAME

public static final String AUTO_PROXY_CREATOR_BEAN_NAME
The bean name of the internally managed auto-proxy creator.

See Also:
  - Constant Field Values

## Constructor Details

### AopConfigUtils

public AopConfigUtils()

## Method Details

### registerAutoProxyCreatorIfNecessary

@Nullable public static org.springframework.beans.factory.config.BeanDefinition registerAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

### registerAutoProxyCreatorIfNecessary

@Nullable public static org.springframework.beans.factory.config.BeanDefinition registerAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, @Nullable Object source)

### registerAspectJAutoProxyCreatorIfNecessary

@Nullable public static org.springframework.beans.factory.config.BeanDefinition registerAspectJAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

### registerAspectJAutoProxyCreatorIfNecessary

@Nullable public static org.springframework.beans.factory.config.BeanDefinition registerAspectJAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, @Nullable Object source)

### registerAspectJAnnotationAutoProxyCreatorIfNecessary

@Nullable public static org.springframework.beans.factory.config.BeanDefinition registerAspectJAnnotationAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

### registerAspectJAnnotationAutoProxyCreatorIfNecessary

@Nullable public static org.springframework.beans.factory.config.BeanDefinition registerAspectJAnnotationAutoProxyCreatorIfNecessary(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, @Nullable Object source)

### forceAutoProxyCreatorToUseClassProxying

public static void forceAutoProxyCreatorToUseClassProxying(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

### forceAutoProxyCreatorToExposeProxy

public static void forceAutoProxyCreatorToExposeProxy(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)